package com.docus.server.report.config;

import com.alibaba.fastjson.JSONObject;
import com.docus.core.util.Func;
import com.docus.server.report.util.TableJsonRead;

public class ZdAssortConfig {
    private final static String DEFAULT_TYPE = "other";

    /**
     * 获取配置文件中类型对应的分类id
     *
     * @param type 类型
     * @return 分类id
     */
    public static String getZdAssortId(String type) {
       return getZdAssortId(type,DEFAULT_TYPE);
    }

    /**
     * 获取配置文件中类型对应的分类id
     *
     * @param type 类型
     * @param defaultType 类型查询为空，查询默认类型
     * @return 分类id
     */
    public static String getZdAssortId(String type,String defaultType) {
        TableJsonRead jsonRead = new TableJsonRead();
        JSONObject tableTypeJson = jsonRead.Read("data-config", "js-table-type.json", JSONObject.class);
        String zdAssortId = tableTypeJson.getString(type);
        // 如果未获取到，则取默认分类id
        if (Func.isBlank(zdAssortId)) {
            return tableTypeJson.getString(defaultType);
        }
        return zdAssortId;
    }

    /**
     * 获取配置文件中默认其他的分类id
     *
     * @return 分类id
     */
    public static String getOtherAssortId() {
        return getZdAssortId(DEFAULT_TYPE);
    }

}
